



<div class="" ng-repeat="(formKey,form) in formData" ng-if="myForm.formLevel=='two'">
    <div class="" ng-show="formKey==formFilter.appNameInstance" >
        <!--<form name="{{formKey}}" novalidate>-->
            <ul class="form flow">
                <li ng-repeat="(key, val) in form.config track by $index">
                    <div class="tag" ng-bind="val.nameFormatted"></div>
                    <input type="number" name="{{val.name}}" ng-model="output[form.appInstance][val.name]"
                           ng-if="val.type=='int32' || val.type=='int64' || val.type=='double'||val.type=='sensor' && !val.isDropDown" >
                    <input type="text" name="{{val.name}}" ng-model="output[form.appInstance][val.name]"
                           ng-if="val.type!='int32' && val.type!='int64' && val.type!='double'&& val.type!='sensor' && !val.isDropDown" >

                    <!--<div ng-if="val.isDropDown">-->
                    <!--<select ng-model="output[form.appInstance][val.name]" ng-options="item for item in val.default">-->
                    <!--</select>-->
                    <!--<div class="description">{{formEle.description}}</div>-->
                    <!--</div>-->

                    <div class="dropDown" ng-if="val.isDropDown">
                        <div data-init="0" class="head">
                            <input class="headTitle" type="text" ng-model="output[form.appInstance][val.name]">
                        </div>
                        <ul class="list">
                            <!--<li ng-repeat="item in val.default" ng-bind="item">Please Select</li>-->
                            <li ng-repeat="item in nodeDetails" ng-bind="item"
                                ng-click="output[form.appInstance][val.name]=item"></li>
                        </ul>
                    </div>

                    <div class="error marginBtmSrt" ng-show="{{formKey}}.{{val.name}}.$dirty && {{formKey}}.{{val.name}}.$invalid">Please enter {{val.nameFormatted}}</div>
                    <div class="description" ng-bind="val.description"></div>


                    <!--<div ng-if="val.isDropDown">-->
                    <!--<select ng-model="output[form.appInstance][val.name]" ng-options="item for item in val.default" >-->
                    <!--</select>-->
                    <!--<div class="description">{{formEle.description}}</div>-->
                    <!--</div>-->
                </li>
            </ul>
        <!--</form>-->
    </div>
</div>
<div class="" ng-repeat="form in formData" ng-if="myForm.formLevel=='one'">
    <ul class="form flow">
        <li ng-repeat="(key, val) in form.config track by $index">
            <div class="tag" ng-bind="val.nameFormatted"></div>
            <input type="number" ng-model="output[val.name]"
                   ng-if="val.type=='int32' || val.type=='int64' || val.type=='double'||val.type=='sensor'">
            <input type="text" ng-model="output[val.name]"
                   ng-if="val.type!='int32' && val.type!='int64' && val.type!='double' && val.type!='sensor'">
            <div class="description" ng-bind="val.description"></div>
        </li>
    </ul>
</div>


